Prev |  | Next

# FcPatternAddWeak

## Name

FcPatternAddWeak -- Add a value to a pattern with weak binding

## Synopsis

    #include <fontconfig.h>

``FcBool FcPatternAddWeak`(FcPattern *p, const char *object, FcValue value, FcBool append);`

## Description

FcPatternAddWeak is essentially the same as FcPatternAdd except that any values added to the list have binding `weak` instead of `strong`.

## Version

Fontconfig version 2.4.2

Prev | Home | Next
FcPatternAdd | Up | FcPatternAdd-Type